<?php

namespace Controller;

use Ads;
use Gamme;
use Listing;
use Categorie;
use Symfony\Component\HttpFoundation\RedirectResponse;
use Symfony\Component\Routing\Annotation\Route;

/**
 * Class HomeController
 * @package Controller
 */
class HomeController extends Controller
{
    /**
     * @Route(path = "/", name="home")
     *
     * @return \Symfony\Component\HttpFoundation\Response
     */
    public function show()
    {
        $pub = new Ads;

        // recup les pub pour le slideshow
        $arrAds = $pub->get(['limit' => 8, 'order' => 'a.ads_rang ASC', 'ae.ads_emplacement_id' => Ads::SLIDESHOW_HOME]);
        $this->template->assign('slideshow', $arrAds);

        if ($this->getDeviceType() == 'desktop') {
            // pubs bloc home
            $paramBlocHome = ['limit' => 2, 'ae.ads_emplacement_id' => Ads::BLOC_HOME];

        } elseif ($this->getDeviceType() == 'mobile') {
            // pubs bloc home
            $paramBlocHome = ['limit' => 1, 'ae.ads_emplacement_id' => Ads::BLOC_HOME_MOBILE];
        }

        // remonté bloc home
        if (isset($paramBlocHome)) {
            $arrAdsHome = $pub->get($paramBlocHome);
            $this->template->assign('blocsHome', $arrAdsHome);
        }

        $this->template->assign('home', true);
        $this->template->assign('show_popup', true);

        #Catégories métier
        $categories = new Categorie();
        $arrCategories = $categories->get(array(
            'order' => 'cb.categorie_boutique_home_rang',
            'limit' => 4
        ));

        $this->template->assign('arrCategories', $arrCategories);

        return $this->render('index.tpl');
    }

}