<?php

namespace DataBase;

use Traversable;

/**
 * @internal
 */
trait IndexCollectionDecoratorTrait
{
    /**
     * @return IndexCollectionInterface
     */
    abstract protected function getCollection();

    /**
     * @return IndexCollectionInterface
     */
    public function getUnique()
    {
        return $this->getCollection()->getUnique();
    }

    /**
     * @return IndexInterface[]
     */
    public function asArray()
    {
        return $this->getCollection()->asArray();
    }

    /**
     * @param callable $filter
     *
     * @return IndexCollectionInterface
     */
    public function getFiltered(callable $filter)
    {
        return $this->getCollection()->getFiltered($filter);
    }

    /**
     * @return Traversable|IndexInterface[]
     */
    public function getIterator()
    {
        return $this->getCollection()->getIterator();
    }
}