<?php

namespace DataBase;

use IteratorAggregate;
use Traversable;

/**
 * @internal
 */
interface IndexCollectionInterface extends IteratorAggregate
{
    /**
     * @return IndexCollectionInterface ne contenant seulement des indexes uniques
     */
    public function getUnique();

    /**
     * @return IndexInterface[]
     */
    public function asArray();

    /**
     * @param callable $filter
     *
     * @return IndexCollectionInterface
     */
    public function getFiltered(callable $filter);

    /**
     * {@inheritdoc}
     * @return Traversable|IndexInterface[]
     */
    public function getIterator();
}